com.tibbo.aggregate.common.view

## Enum ViewFilterProcessResult

- java.lang.Object
- - java.lang.Enum<ViewFilterProcessResult>
  - - com.tibbo.aggregate.common.view.ViewFilterProcessResult

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ViewFilterProcessResult>

      public enum ViewFilterProcessResult
      extends java.lang.Enum<ViewFilterProcessResult>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR` Invalid filters provided.
    `HAS_TO_PROCESS_FULLY` Filters require full table processing.
    `OK` No actions required.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ViewFilterProcessResult` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ViewFilterProcessResult[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OK

          public static final ViewFilterProcessResult OK

      No actions required. Filters are valid.

    - #### ERROR

          public static final ViewFilterProcessResult ERROR

      Invalid filters provided.

    - #### HAS_TO_PROCESS_FULLY

          public static final ViewFilterProcessResult HAS_TO_PROCESS_FULLY

      Filters require full table processing.

  - ### Method Detail

    - #### values

          public static ViewFilterProcessResult[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ViewFilterProcessResult c : ViewFilterProcessResult.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ViewFilterProcessResult valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null